Get api v1 referral connections referral connection uuid Run in API Explorer
Ask AI
GET
/api/v1/referral-connections/{referralConnection_uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/referral-connections/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "6e431377-adf3-4ca8-9dda-d28ef722fc53",
"direction": "sent",
"status": "pending",
"sender_firm": {
"uuid": "abc-123",
"name": "Sender Firm Name"
},
"recipient_firm": {
"uuid": "def-456",
"name": "Recipient Firm Name"
},
"sender_account": {
"uuid": "312bd3bf-2d66-4b43-b013-2ac4a5db2b8d",
"created_at": "2026-08-11T10:38:38+01:00",
"updated_at": "2026-08-11T10:38:38+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "f3bae78b-caf2-489d-87b6-90fd6f6dde1a",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"recipient_account": {
"uuid": "1ce92732-52e8-4b9a-9c07-ff7086e3b48b",
"created_at": "2026-08-11T10:38:38+01:00",
"updated_at": "2026-08-11T10:38:38+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "f3bae78b-caf2-489d-87b6-90fd6f6dde1a",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"created_at": "2026-08-11T10:38:38+01:00",
"updated_at": "2026-08-11T10:38:38+01:00",
"expires_at": "2026-09-10T10:38:38+01:00"
}